API Reference
Toggle the done/todo status of a gap
X-API-Key<token>
API Key for programmatic access
In: header
Path Parameters
gapId*string
Deterministic content-gap ID
domainId*unknown
Domain (brand) ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/domains/{domainId}/gaps/string/status" \ -H "Content-Type: application/json" \ -d '{ "status": "todo" }'{ "id": "Ck2ZfQ0iJ4vQ9pXk3nHtR5sT7vW9yBdcefgHiJkLmno", "organizationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "domainId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "topicId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "prompt": "What are the best running shoes for marathon training?", "linkedActionIds": [ "robots-allow-ai", "add-llms-txt" ], "coverageStatus": "in_progress", "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z"}